Bug 1165688 - Review Request: flannel - etcd address management agent for overlay networks
Summary: Review Request: flannel - etcd address management agent for overlay networks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1164170 1164176 1165690
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-19 13:50 UTC by Jan Chaloupka
Modified: 2015-04-21 19:19 UTC (History)
3 users (show)

Fixed In Version: flannel-0.2.0-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-13 09:56:10 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-11-19 13:50:55 UTC
So far, there are some missing dependencies not yet packages in Fedora and some packages need update to the newest commits. So far, adding information about progress about this new package.

Comment 1 Jan Chaloupka 2014-11-19 13:53:03 UTC
Upstream URL: https://github.com/coreos/flannel

Comment 2 Fedora Update System 2014-11-19 18:04:38 UTC
golang-github-coreos-go-systemd-2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-2-2.fc21

Comment 3 Fedora Update System 2014-11-19 18:41:35 UTC
golang-github-coreos-go-systemd-2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-2-2.fc20

Comment 4 Fedora Update System 2014-11-19 18:52:42 UTC
golang-github-coreos-go-systemd-2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-2-2.el6

Comment 5 Fedora Update System 2014-11-20 09:06:38 UTC
Package golang-github-coreos-go-systemd-2-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-github-coreos-go-systemd-2-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15437/golang-github-coreos-go-systemd-2-2.fc21
then log in and leave karma (feedback).

Comment 6 Jan Chaloupka 2014-11-20 10:57:59 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/flannel/flannel.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/flannel/flannel-0.1.0-7.git071d778.fc20.src.rpm

Description: Flannel is an etcd driven address management agent. Most commonly it is used to
manage the ip addresses of overlay networks between systems running containers
that need to communicate with one another.

Fedora Account System Username: jchaloup

Koji URL: can not be built right now as it depends on blocking bugs. Locally it builds succesfully.

$ rpmlint flannel-0.1.0-7.git071d778.fc20.src.rpm flannel-0.1.0-7.git071d778.fc20.x86_64.rpm flannel-devel-0.1.0-7.git071d778.fc20.x86_64.rpm flannel.spec
flannel.src: W: spelling-error Summary(en_US) etcd -> etc, etch, etc d
flannel.src: W: name-repeated-in-summary C Flannel
flannel.src: W: spelling-error %description -l en_US etcd -> etc, etch, etc d
flannel.src: W: spelling-error %description -l en_US ip -> pi, up, op
flannel.x86_64: W: spelling-error Summary(en_US) etcd -> etc, etch, etc d
flannel.x86_64: W: name-repeated-in-summary C Flannel
flannel.x86_64: W: spelling-error %description -l en_US etcd -> etc, etch, etc d
flannel.x86_64: W: spelling-error %description -l en_US ip -> pi, up, op
flannel.x86_64: W: unstripped-binary-or-object /usr/bin/flanneld
flannel.x86_64: W: no-manual-page-for-binary flanneld
flannel-devel.x86_64: W: spelling-error Summary(en_US) etcd -> etc, etch, etc d
flannel-devel.x86_64: W: spelling-error %description -l en_US etcd -> etc, etch, etc d
3 packages and 1 specfiles checked; 0 errors, 12 warnings.

Upstream URL: https://github.com/coreos/flannel

Comment 7 Parag AN(पराग) 2014-11-20 11:00:25 UTC
so where is the package review for this package? I see this is coming in my new packages waiting for review search. Strange to see no package review, no reviewer, not in assigned state and its already ON_QA ??

Comment 8 Jan Chaloupka 2014-11-20 12:17:52 UTC
Hi Parag, ON_QA was changed by blocking bug, moving back to NEW.

Comment 9 Lokesh Mandvekar 2014-11-21 16:19:53 UTC
- license correct
- no debuginfo as it's not supported for golang
- specfile conforms to current golang packaging draft https://fedoraproject.org/wiki/PackagingDrafts/Go

Package approved.

TODO (probably no biggie)
- modify summary in specfile as in bug description (capitalize if needed)
- might need to enforce NVR for coreos/go-systemd in deps
- pkgconfig(systemd) is preferable to systemd in BR (I think)

Comment 10 Jan Chaloupka 2014-11-21 18:47:17 UTC
Thanks Lokesh, will update the spec file.

Comment 11 Jan Chaloupka 2014-11-21 18:50:16 UTC
New Package SCM Request
=======================
Package Name: flannel
Short Description: Etcd address management agent for overlay networks
Upstream URL: https://github.com/coreos/flannel
Owners: jchaloup lsm5 vbatts eparis nhorman
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 12 Gwyn Ciesla 2014-11-21 20:43:43 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-11-22 11:24:35 UTC
flannel-0.1.0-7.git071d778.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flannel-0.1.0-7.git071d778.fc20

Comment 14 Fedora Update System 2014-11-22 11:26:09 UTC
flannel-0.1.0-7.git071d778.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flannel-0.1.0-7.git071d778.fc21

Comment 15 Fedora Update System 2014-11-22 20:19:37 UTC
flannel-0.1.0-7.git071d778.fc21 has been pushed to the Fedora 21 testing repository.

Comment 16 Fedora Update System 2014-12-02 21:35:53 UTC
flannel-0.1.0-8.gita7b435a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flannel-0.1.0-8.gita7b435a.fc21

Comment 17 Fedora Update System 2014-12-02 21:47:34 UTC
flannel-0.1.0-8.gita7b435a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flannel-0.1.0-8.gita7b435a.fc20

Comment 18 Fedora Update System 2014-12-12 04:24:07 UTC
flannel-0.1.0-8.gita7b435a.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-12-13 09:56:10 UTC
flannel-0.1.0-8.gita7b435a.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-12-16 16:48:30 UTC
golang-github-coreos-go-systemd-2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-2-2.fc20

Comment 21 Fedora Update System 2014-12-17 05:36:26 UTC
golang-github-coreos-go-systemd-2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-12-18 06:10:24 UTC
golang-github-coreos-go-systemd-2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-01-17 05:41:44 UTC
golang-github-coreos-go-systemd-2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-03-30 12:33:12 UTC
flannel-0.2.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flannel-0.2.0-7.fc20

Comment 25 Fedora Update System 2015-03-30 12:33:30 UTC
flannel-0.2.0-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flannel-0.2.0-7.fc21

Comment 26 Fedora Update System 2015-03-30 12:33:47 UTC
flannel-0.2.0-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flannel-0.2.0-7.fc22

Comment 27 Fedora Update System 2015-04-21 18:52:33 UTC
flannel-0.2.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-04-21 19:13:23 UTC
flannel-0.2.0-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-04-21 19:19:03 UTC
flannel-0.2.0-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.